TEXTURE2D(3CgFX)

NAME
Texture2D - 3D API texture2D

USAGE
Texture2D[i] = sampler2D(samp)

VALID ENUMERANTS
samp: sampler

DESCRIPTION
Specify the 2D texture to be used. See the GL_TEXTURE_2D description on the OpenGL glBindTexture manual page for details. See the IDirect3DDevice9::SetTexture method for details.

The standard reset callback sets the Texture2D[i] state to sampler2D(0).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
Texture1DEnable, Texture2DEnable, Texture3DEnable, TextureCubeMapEnable, TextureRectangleEnable, Texture1D, Texture3D, TextureCubeMap, TextureRectangle, TextureEnvColor, TextureEnvMode, TextureFactor, TextureMatrix, TextureTransform, TextureTransformFlags, Texture, MagFilter, MaxMipLevel, MinFilter, MipFilter, MipMapLodBias